Bug 822300 - kernel: x86-64: Rework vsyscall emulation and add vsyscall= parameter [rhel-5.9]
kernel: x86-64: Rework vsyscall emulation and add vsyscall= parameter [rhel-5.9]
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.9
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Alexander Gordeev
Red Hat Kernel QE team
:
Depends On: 921920
Blocks: 822292 822301 822302
  Show dependency treegraph
 
Reported: 2012-05-16 21:18 EDT by Eugene Teo (Security Response)
Modified: 2013-05-22 09:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 822301 822302 (view as bug list)
Environment:
Last Closed: 2013-05-22 09:00:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2012-05-16 21:18:16 EDT
Description of problem:
There are three choices:
vsyscall=native: Vsyscalls are native code that issues the corresponding syscalls.

vsyscall=emulate (default): Vsyscalls are emulated by instruction fault traps, tested in the bad_area path.  The actual contents of the vsyscall page is the same as the vsyscall=native case except that it's marked NX.  This way programs that make assumptions about what the code in the page does will not be confused when they read that code.

vsyscall=none: Trying to execute a vsyscall will segfault.

Signed-off-by: Andy Lutomirski <luto@mit.edu>
Link: http://lkml.kernel.org/r/8449fb3abf89851fd6b2260972666a6f82542284.1312988155.git.luto@mit.edu
Signed-off-by: H. Peter Anvin <hpa@linux.intel.com>

Upstream commit:
http://git.kernel.org/linus/3ae36655
Comment 2 RHEL Product and Program Management 2012-12-08 01:47:13 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 11 RHEL Product and Program Management 2013-05-22 09:00:03 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.